with GNATCOM.Dispinterface;

package MSHTML.IHTMLFrameBase3_Interface is

   type IHTMLFrameBase3_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLFrameBase3_Type);

   function Pointer (This : IHTMLFrameBase3_Type)
     return Pointer_To_IHTMLFrameBase3;

   procedure Attach (This    : in out IHTMLFrameBase3_Type;
                     Pointer : in     Pointer_To_IHTMLFrameBase3);

   procedure Put_longDesc
     (This : IHTMLFrameBase3_Type;
      p    : GNATCOM.Types.BSTR;
      Free : Boolean := True);

   function Get_longDesc
     (This : IHTMLFrameBase3_Type)
     return GNATCOM.Types.BSTR;

end MSHTML.IHTMLFrameBase3_Interface;

